org.codehaus.groovy.runtime

## Class GroovyCategorySupport.ThreadCategoryInfo

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<java.lang.String,GroovyCategorySupport.CategoryMethodList>
    - - org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,GroovyCategorySupport.CategoryMethodList>

Enclosing class:
  GroovyCategorySupport

    public static class GroovyCategorySupport.ThreadCategoryInfo
    extends java.util.HashMap<java.lang.String,GroovyCategorySupport.CategoryMethodList>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`ThreadCategoryInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GroovyCategorySupport.CategoryMethodList` `getCategoryMethods(java.lang.String name)`
`<T> T` `use(java.util.List<java.lang.Class> categoryClasses, Closure<T> closure)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### ThreadCategoryInfo

    public ThreadCategoryInfo()

### Method Detail

#### use

    public <T> T use(java.util.List<java.lang.Class> categoryClasses,
                     Closure<T> closure)

#### getCategoryMethods

    public GroovyCategorySupport.CategoryMethodList getCategoryMethods(java.lang.String name)